* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background: #000;
    overflow-x: hidden;
    color: #fff;
}

/* Fundo */
.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("imagens/feed.jpeg") no-repeat center center/cover;
    filter: brightness(0.55);
    z-index: -1;
}

/* Logo */
.header {
    width: 100%;
    padding: 25px 0;
    display: flex;
    justify-content: center;
}

.logo {
    width: 400px;
    animation: glow 3s infinite ease-in-out;
}

/* Formulário */
.container {
    width: 95%;
    max-width: 1050px;
    background: rgba(0, 0, 0, 0.60);
    padding: 45px;
    border-radius: 20px;
    margin: 20px auto;
    box-shadow: 0 0 35px rgba(0, 162, 255, 0.45);
    backdrop-filter: blur(8px);
    animation: slideUp 1.2s ease;
}

.container h1 {
    color: #00eaff;
    font-size: 34px;
    text-align: center;
}

.sub {
    text-align: center;
    margin-bottom: 25px;
    opacity: .85;
    font-size: 16px;
}

.form-box {
    margin-top: 40px;
}

label {
    display: block;
    margin: 20px 0 8px;
}

input, textarea {
    width: 100%;
    border: 2px solid #00aaff;
    background: rgba(0, 0, 0, 0.45);
    outline: none;
    padding: 14px;
    color: #fff;
    border-radius: 12px;
    font-size: 16px;
    transition: .25s;
}

input:focus, textarea:focus {
    border-color: #00eaff;
    box-shadow: 0 0 12px #00eaff;
}

textarea {
    height: 160px;
    resize: none;
}

.contador {
    margin-top: 5px;
    text-align: right;
    opacity: .85;
    font-size: 14px;
}

/* Estrelas */
.stars {
    display: flex;
    gap: 10px;
    margin: 15px 0 30px;
    font-size: 35px;
}

.star {
    cursor: pointer;
    color: #444;
    transition: .3s ease;
}

.star:hover {
    transform: scale(1.25);
}

.star.active {
    color: #00c3ff;
    text-shadow: 0 0 15px #00c3ff;
    transform: scale(1.22);
}

/* Botão */
#enviar {
    width: 200px;
    padding: 14px;
    background: #0044ff;
    border: none;
    border-radius: 14px;
    font-size: 18px;
    font-weight: bold;
    cursor: pointer;
    color: #fff;
    float: right;
    margin-top: 10px;
    transition: .25s;
}

#enviar:hover {
    background: #1a60ff;
    transform: scale(1.05);
}

/* Animações */
@keyframes glow {
    0% { filter: drop-shadow(0 0 0px #00c6ff); }
    50% { filter: drop-shadow(0 0 15px #00c6ff); }
    100% { filter: drop-shadow(0 0 0px #00c6ff); }
}

@keyframes slideUp {
    from {
        opacity: 0;
        transform: translateY(40px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

